org.apache.catalina.authenticator.jaspic

## Class PersistentProviderRegistrations.Providers

- java.lang.Object
- - org.apache.catalina.authenticator.jaspic.PersistentProviderRegistrations.Providers

- Enclosing class:
    PersistentProviderRegistrations

      public static class PersistentProviderRegistrations.Providers
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Providers()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProvider(PersistentProviderRegistrations.Provider provider)`
    `List<PersistentProviderRegistrations.Provider>` | `getProviders()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Providers

          public Providers()

  - ### Method Detail

    - #### addProvider

          public void addProvider(PersistentProviderRegistrations.Provider provider)

    - #### getProviders

          public List<PersistentProviderRegistrations.Provider> getProviders()

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.